{
  description = "";

  inputs = {
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    nixpkgs,
    flake-utils,
    ...
  }: let
    inherit (flake-utils.lib) eachSystem defaultSystems;
  in
    {
    }
    // (eachSystem defaultSystems) (system: let
      pkgs = import nixpkgs {inherit system;};
      inherit (pkgs.lib.strings) concatMapStringsSep;
    in {
      devShell = pkgs.mkShell {
        packages = with pkgs; [
          texlive.combined.scheme-context
          roboto
          roboto-slab
          roboto-mono
        ];
        shellHook = let
          font-path =
            concatMapStringsSep ";" (pkg: "${pkg}/share/fonts/truetype/")
            (with pkgs; [
              roboto
              roboto-slab
              roboto-mono
            ]);
        in ''
          export OSFONTDIR='${font-path}'
          mtxrun --script fonts --reload --force
        '';
      };
    });
}
